OracleVM 3.3 / 3.4 : coreutils (OVMSA-2017-0052)

Low Nessus Plugin ID 99079


The remote OracleVM host is missing one or more security updates.


The remote OracleVM system is missing necessary patches to address critical security updates :

- clean up empty file if cp is failed [Orabug 15973168]

- pure rebuild to bring back support for acl_extended_file_nofollow on x86_64

- su: deny killing other processes with root privileges (CVE-2017-2616)

- fix the functionality of 'sort -h -k ...' in multi-byte locales (#1357979)

- use correct path to grep(1) in (#1376892)

- make compatible with ksh (#1321643)

- sed should actually be /bin/sed (related #1222140)

-,colorls.csh - call utilities with complete path (#1222140)

- mkdir, mkfifo, mknod - respect default umask/acls when COREUTILS_CHILD_DEFAULT_ACLS envvar is set (to match rhel 7 behaviour,

- ls: improve efficiency on filesystems without support for ACLs, xattrs or SELinux (#1248141)

- su: suppress PAM info messages for -c or non-login sessions (#1267588)

- tail, stat: recognize several new filesystems - up2date by Jan 1st 2016 (#1280333)

- du: improve du error message of coreutils commands in a chrooted environment (patch by Boris Ranto) (#1086916)

- su: fix incorrect message printing when su is killed (#1147532)


Update the affected coreutils / coreutils-libs packages.

See Also

Plugin Details

Severity: Low

ID: 99079

File Name: oraclevm_OVMSA-2017-0052.nasl

Version: $Revision: 3.1 $

Type: local

Published: 2017/03/30

Modified: 2017/03/30

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.9

Temporal Score: 1.6

Vector: CVSS2#AV:L/AC:M/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:coreutils, p-cpe:/a:oracle:vm:coreutils-libs, cpe:/o:oracle:vm_server:3.3, cpe:/o:oracle:vm_server:3.4

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/03/29

Reference Information

CVE: CVE-2017-2616

OSVDB: 152469